/*
 * このソースコードは blanco Frameworkにより自動生成されました。
 */
package blanco.xliff2tmx.task.valueobject;

/**
 * 処理クラス [BlancoXliff2TmxProcess]の入力バリューオブジェクトクラスです。
 */
public class BlancoXliff2TmxProcessInput {
    /**
     * フィールド [verbose]
     *
     * 項目の型 [boolean]<br>
     * 規定値   [false]<br>
     * verboseモードで動作させるかどうか。
     */
    private boolean fVerbose = false;

    /**
     * フィールド [sourcedir]
     *
     * 項目の型 [java.lang.String]<br>
     * 入力となる OASIS XLIFF ファイルが格納されているディレクトリ。
     */
    private String fSourcedir;

    /**
     * フィールド [targetdir]
     *
     * 項目の型 [java.lang.String]<br>
     * 出力となる TMX ファイルが格納されるディレクトリ。targetfile と排他的に利用。
     */
    private String fTargetdir;

    /**
     * フィールド [targetfile]
     *
     * 項目の型 [java.lang.String]<br>
     * 出力となる TMX ファイルのファイル名。targetdir と排他的に利用。
     */
    private String fTargetfile;

    /**
     * フィールド [checkalttranspleiades]
     *
     * 項目の型 [boolean]<br>
     * 規定値   [false]<br>
     * alt-transの Pleiades 訳と一致する場合にのみTMXを作成するかどうか。
     */
    private boolean fCheckalttranspleiades = false;

    /**
     * フィールド [verbose]のセッターメソッド
     *
     * 項目の型 [boolean]<br>
     * verboseモードで動作させるかどうか。
     *
     * @param argVerbose フィールド[verbose]に格納したい値
     */
    public void setVerbose(final boolean argVerbose) {
        fVerbose = argVerbose;
    }

    /**
     * フィールド[verbose]のゲッターメソッド
     *
     * 項目の型 [boolean]<br>
     * 規定値   [false]<br>
     * verboseモードで動作させるかどうか。
     *
     * @return フィールド[verbose]に格納されている値
     */
    public boolean getVerbose() {
        return fVerbose;
    }

    /**
     * フィールド [sourcedir]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * 入力となる OASIS XLIFF ファイルが格納されているディレクトリ。
     *
     * @param argSourcedir フィールド[sourcedir]に格納したい値
     */
    public void setSourcedir(final String argSourcedir) {
        fSourcedir = argSourcedir;
    }

    /**
     * フィールド[sourcedir]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * 入力となる OASIS XLIFF ファイルが格納されているディレクトリ。
     *
     * @return フィールド[sourcedir]に格納されている値
     */
    public String getSourcedir() {
        return fSourcedir;
    }

    /**
     * フィールド [targetdir]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * 出力となる TMX ファイルが格納されるディレクトリ。targetfile と排他的に利用。
     *
     * @param argTargetdir フィールド[targetdir]に格納したい値
     */
    public void setTargetdir(final String argTargetdir) {
        fTargetdir = argTargetdir;
    }

    /**
     * フィールド[targetdir]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * 出力となる TMX ファイルが格納されるディレクトリ。targetfile と排他的に利用。
     *
     * @return フィールド[targetdir]に格納されている値
     */
    public String getTargetdir() {
        return fTargetdir;
    }

    /**
     * フィールド [targetfile]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * 出力となる TMX ファイルのファイル名。targetdir と排他的に利用。
     *
     * @param argTargetfile フィールド[targetfile]に格納したい値
     */
    public void setTargetfile(final String argTargetfile) {
        fTargetfile = argTargetfile;
    }

    /**
     * フィールド[targetfile]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * 出力となる TMX ファイルのファイル名。targetdir と排他的に利用。
     *
     * @return フィールド[targetfile]に格納されている値
     */
    public String getTargetfile() {
        return fTargetfile;
    }

    /**
     * フィールド [checkalttranspleiades]のセッターメソッド
     *
     * 項目の型 [boolean]<br>
     * alt-transの Pleiades 訳と一致する場合にのみTMXを作成するかどうか。
     *
     * @param argCheckalttranspleiades フィールド[checkalttranspleiades]に格納したい値
     */
    public void setCheckalttranspleiades(final boolean argCheckalttranspleiades) {
        fCheckalttranspleiades = argCheckalttranspleiades;
    }

    /**
     * フィールド[checkalttranspleiades]のゲッターメソッド
     *
     * 項目の型 [boolean]<br>
     * 規定値   [false]<br>
     * alt-transの Pleiades 訳と一致する場合にのみTMXを作成するかどうか。
     *
     * @return フィールド[checkalttranspleiades]に格納されている値
     */
    public boolean getCheckalttranspleiades() {
        return fCheckalttranspleiades;
    }

    /**
     * このバリューオブジェクトの文字列表現を取得します。
     *
     * オブジェクトのシャロー範囲でしかtoStringされない点に注意して利用してください。
     *
     * @return バリューオブジェクトの文字列表現。
     */
    public String toString() {
        final StringBuffer buf = new StringBuffer();
        buf.append("blanco.xliff2tmx.task.valueobject.BlancoXliff2TmxProcessInput[");
        buf.append("verbose=" + fVerbose);
        buf.append(",sourcedir=" + fSourcedir);
        buf.append(",targetdir=" + fTargetdir);
        buf.append(",targetfile=" + fTargetfile);
        buf.append(",checkalttranspleiades=" + fCheckalttranspleiades);
        buf.append("]");
        return buf.toString();
    }
}
